ADDDEBUG(1)

NOM
adddebug - Modifie le ou les Makefile pour ajouter des informations de débogage.

SYNOPSIS

adddebug [-k] [-r] [-n]

DESCRIPTION

adddebug modifie le Makefile dans le dossier actuel (et optionnellement dans ses sous-dossiers) pour y ajouter des informations de débogage (-g3). Il enlèvera également les optimisations (-O[1-9]).

Cet utilitaire fait partie du kit de développement de logiciels de KDE.

OPTIONS

-k
    Conserve les optimisations (n'enlève pas les drapeaux -O[1-9] ? qui le sont par défaut).

-r
    Cherche de manière récursive dans tous les sous-dossiers du dossier courant et travaille sur tous les fichiers Makefile trouvés.

-n
    compile sans définir « NDEBUG » et « NO_DEBUG » (rend les appels à kdDebug fonctionnels).

AUTEUR

Ben Burton <bab@debian.org>
    Auteur.